[package]
name = "rsh"
version = "0.1.0"
edition = "2021"

[[bin]]
name = "rshd"
path = "src/rshd/main.rs"

[dependencies]
libterm.workspace = true
cross.workspace = true
logsink.workspace = true

clap.workspace = true
thiserror.workspace = true
bytemuck.workspace = true
x25519-dalek.workspace = true
ed25519-dalek = { workspace = true, features = ["rand_core", "pem"] }
sha2.workspace = true
log.workspace = true
aes.workspace = true
aes-gcm.workspace = true
chacha20poly1305.workspace = true
crypto-common.workspace = true
aead.workspace = true
rand.workspace = true

[lints]
workspace = true
